﻿@model NatjecajiViewModel

@{
    ViewData["Title"] = "Natjecaji";
}

<h1>Natječaji</h1>
<a asp-action="Create">Stvori novi natječaj</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu"
       page-action="Index" class="float-right">
</pager>

<table class="table table-sm table-striped" table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? ! Model.PagingInfo.Ascending : true)">
                    Evidencijski broj
                </a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? ! Model.PagingInfo.Ascending : true)">
                    Naziv
                </a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? ! Model.PagingInfo.Ascending : true)">
                    StavkaNabave
                </a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? ! Model.PagingInfo.Ascending : true)">
                    RokZaDostavu
                </a>
            </th>
            <th>
                <a asp-route-sort="5"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 5 ? ! Model.PagingInfo.Ascending : true)">
                    TrajanjeUgovora
                </a>
            </th>

            <th>
                <a asp-route-sort="6"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 6 ? ! Model.PagingInfo.Ascending : true)">
                    VrstaUgovora
                </a>
            </th>
            <th>
                <a asp-route-sort="7"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 7 ? ! Model.PagingInfo.Ascending : true)">
                    SlanjeElPostom
                </a>
            </th>
            <th>
                <a asp-route-sort="8"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 8 ? ! Model.PagingInfo.Ascending : true)">
                    PopisPotrebnihDokumenata
                </a>
            </th>
            <th>
                <a asp-route-sort="9"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 9 ? ! Model.PagingInfo.Ascending : true)">
                    Djelatnost
                </a>
            </th>
            <th>
                <a asp-route-sort="10"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 10 ? ! Model.PagingInfo.Ascending : true)">
                    JePonisten
                </a>
            </th>
            <th>
                <a asp-route-sort="11"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 11 ? ! Model.PagingInfo.Ascending : true)">
                    Zakon
                </a>
            </th>
            <th>
                <a asp-route-sort="11"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 11 ? ! Model.PagingInfo.Ascending : true)">
                    Kriterij
                </a>
            </th>

        </tr>
    </thead>
    <tbody>
    @foreach (var natjecaj in Model.Natjecaji)
    {
        <tr>
            <td class="text-left">
                <a asp-action="Show"
                   asp-route-EvidencijskiBr="@natjecaj.EvidencijskiBr"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending">
                    @natjecaj.EvidencijskiBr
                </a>
            </td>
            <td class="text-left">@natjecaj.Naziv</td>
            <td class="text-left">@natjecaj.NazivStavke</td>
            <td class="text-left">@natjecaj.RokZaDostavu</td>
            <td class="text-left">@natjecaj.TrajanjeUgovora</td>
            <td class="text-left">@natjecaj.NazivUgovora</td>
            <td class="text-left">@(natjecaj.SlanjeElPostom == 1 ? "Da" : "Ne")</td>
            <td class="text-left">@natjecaj.PopisPotrebnihDokumenata</td>
            <td class="text-left">@natjecaj.NazivDjelatnosti</td>
            <td class="text-left">@(natjecaj.JePonisten == 1 ? "Da" : "Ne")</td>
            <td class="text-left">@natjecaj.NazivZakon</td>
            <td class="text-left">
                <a asp-action="ShowKriterij"
                   asp-route-EvidencijskiBr="@natjecaj.EvidencijskiBr"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending">
                    @natjecaj.Kriterij
                </a>
            </td>
            <td class="btn-group">
                <a asp-action="EditDetail"
                   asp-route-EvidencijskiBr="@natjecaj.EvidencijskiBr"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending"
                   class="btn btn-sm" title="Ažuriraj"><i class="fas fa-edit"></i></a>

                <form asp-action="Delete" method="post"
                      asp-route-page="@Model.PagingInfo.CurrentPage"
                      asp-route-sort="@Model.PagingInfo.Sort"
                      asp-route-ascending="@Model.PagingInfo.Ascending">
                    <input type="hidden" name="Oib" value="@natjecaj.EvidencijskiBr" />
                    <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                        <i class="fas fa-trash-alt"></i>
                    </button>
                </form>
            </td>
        </tr>
    }
</tbody>
</table>